Subject: [bug#41501] [PATCH] Add mergerfs/mergerfs-tools

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 Jun 2020 11:57:32 +0200

Hi,

Lars-Dominik Braun <[email-masked]> skribis:

>> > +    ;; mergerfs bundles a heavily modified copy of libfuse.
>> This is not great.  Did you try building against vanilla libfuse?
> no, I looked at the git changelog of their libfuse tree and it appeared
> to contain substantial changes, otherwise I would’ve unvendored it.
> Judging by the documentation[1] the upstream libfuse is not supported.

I see.

> [1] https://github.com/trapexit/mergerfs#why-was-libfuse-embedded-into-mergerfs

I don’t buy their arguments :-), but from the Guix viewpoint, we’ve done
our best.

Thanks for explaining!

Ludo’.